package com.hw.ems.api.domain;

import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 公摊用户和具关系对象 base_monitor_public
 *
 * @author yangwl
 * @date 2023-04-25
 */
public class BaseMonitorPublic extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    @Excel(name = "")
    private String monitorId;

    /**  */
    @Excel(name = "")
    private Long publicShareId;
    private Integer publicShareType;

    public Integer getPublicShareType() {
        return publicShareType;
    }

    public void setPublicShareType(Integer publicShareType) {
        this.publicShareType = publicShareType;
    }

    public void setMonitorId(String monitorId)
    {
        this.monitorId = monitorId;
    }

    public String getMonitorId()
    {
        return monitorId;
    }
    public void setPublicShareId(Long publicShareId)
    {
        this.publicShareId = publicShareId;
    }

    public Long getPublicShareId()
    {
        return publicShareId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("monitorId", getMonitorId())
            .append("publicShareId", getPublicShareId())
            .toString();
    }
}
